FREEFOAM-SETSTOZONES(1)

NAME
freefoam-setsToZones - Add pointZones/faceZones/cellZones to the mesh from similar named pointSets/faceSets/cellSets.

SYNOPSIS

freefoam setsToZones [-help] [-noFlipMap] [-latestTime] [-noZero] [-srcDoc] [-doc] [-time <time>] [-constant] [-parallel] [-case <dir>]

DESCRIPTION

There is one catch: for faceZones you also need to specify a flip condition which basically denotes the side of the face. In this app it reads a cellSet (xxxCells if xxx is the name of the faceSet) which is the masterCells of the zone. There are lots of situations in which this will go wrong but it is the best I can think of for now.

If one is not interested in sideNess specify the -noFlipMap command line option.

OPTIONS

-noFlipMap
    No automatic face flipping.

-noZero
    Ignore timestep 0.

-constant
    Include the constant directory.

-time <time>
    Apply only to specific time.

-latestTime
    Only apply to latest time step.

-case <dir>
    Case directory.

-parallel
    Run in parallel.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.